Skip to main content
`Ctrl`+`K`

# NEPNLEIGSGetInterpolation

Gets the tolerance and maximum degree when building the interpolation via divided differences.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPNLEIGSGetInterpolation(NEP nep,PetscReal *tol,PetscInt *degree)

Not Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameters

- tol - tolerance to stop computing divided differences

- degree - maximum degree of interpolation

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPNLEIGS`, `NEPNLEIGSSetInterpolation()`

## Level

advanced

## Location

src/nep/impls/nleigs/nleigs.c

## Implementations

NEPNLEIGSGetInterpolation_NLEIGS() in src/nep/impls/nleigs/nleigs.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages